APIs / La Centrale / Facets

La Centrale: Facets

Facets from La Centrale as JSON. 1 credit per successful call.

GET /v1/lacentrale/facets

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
familiesstringOptionalAUTO, UTILITY, MOTO, SCOOTER, QUAD
facets[]list of stringOptionalMAKE, MODEL, VERSION, CATEGORY, ENERGY, GEARBOX, CRITAIR, PRICE, REGION, INTERNAL_COLOR, EXTERNAL_COLOR, GOOD_DEAL_BADGE
make_modelstringOptionalUp to 100 characters
zip_codestringOptionalUp to 5 characters
zip_code_distancestringOptionalUp to 10 characters
price_minintegerOptionalAny
price_maxintegerOptionalAny
mileage_minintegerOptionalAny
mileage_maxintegerOptionalAny
year_minintegerOptionalAny
year_maxintegerOptionalAny
energies[]list of stringOptionalAny
gearboxstringOptionalAUTO, MANUAL
categories[]list of stringOptionalAny
regions[]list of stringOptionalAny
customer_family_codes[]list of stringOptionalAny
good_deal_badges[]list of stringOptionalVERY_GOOD_DEAL, GOOD_DEAL, EQUITABLE_DEAL, BAD_DEAL, NOT_COMPUTED
crit_air[]list of stringOptionalAny
page_sizeintegerOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/lacentrale/facets?families=AUTO&facets[]=MAKE&page_size=0" \
  -H "X-API-Key: $API_KEY"

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.